---
name: Bug report
about: Create a report to help us improve
title: ''
labels: ''
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**Log**
Please set `wdio.config.logLevel = 'debug'`, then post the whole file called `wdio-0-0-video-reporter.log`.
If it is very large, consider using a gist - http://gist.github.com.

**To Reproduce**
Include code or an example repository that can easily be set up.

A great way to help isolate an issue and thus get a quicker fix, is to fork this repo: https://github.com/presidenten/wdio-template
Check if the issue is existing in the template, otherwise override wdio config with your settings and try to reproduce the test code that causes the issue by using different web controls on Selenium Easy (https://www.seleniumeasy.com/test/) or The Internet (https://the-internet.herokuapp.com/).

**Expected behavior**
A clear and concise description of what you expected to happen.

**Environment (please complete the following information):**
 - **wdio-video-reporter version:** [e.g. 1.1.2]
 - **WebdriverIO version:** [e.g. 5.4.13]
 - **Mode:** [Standalone mode or WDIO Testrunner]
 - **If WDIO Testrunner, running sync/async:** [e.g. sync/async]
 - **Node.js version:** [e.g. 8.11.2]
 - **NPM version:** [e.g. 5.8.0]
 - **Browser name and version:** [e.g. Chrome 68]
 - **Platform name and version:** [e.g. Windows 10]

**Desktop (please complete the following information):**
 - OS: [e.g. iOS]
 - Browser [e.g. chrome, safari]
 - Version [e.g. 22]

**Smartphone (please complete the following information):**
 - Device: [e.g. iPhone6]
 - OS: [e.g. iOS8.1]
 - Browser [e.g. stock browser, safari]
 - Version [e.g. 22]

**Additional context**
Add any other context about the problem here.
